> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blinkops.com/llms.txt
> Use this file to discover all available pages before exploring further.

> API endpoint to update an existing case in Blink's case management system.

# Update a Case



## OpenAPI

````yaml put /workspace/{ws_id}/case_management/table/cases/{case_id}
openapi: 3.0.1
info:
  title: Blink REST API
  description: >-
    The Blink REST API provides programmatic access to Blink data and
    functionality, enabling the management of resources such as workflows,
    users, cases, and more.
  termsOfService: https://www.blinkops.com/terms-of-use
  contact:
    name: API Support
    url: http://blinkops.com/support
    email: support@blinkops.com
  version: '1.0'
servers:
  - url: https://app.blinkops.com/api/v1
security: []
tags:
  - name: Controller
    description: Controller health and stats
  - name: Connections
    description: Manage your connections
  - name: Integrations
    description: Manage your integrations
  - name: Invites
    description: Manage your invites
  - name: Workflows
    description: Create and execute your workflows
  - name: Executions
    description: Get information and manage executions
  - name: Runners
    description: Configure your runners
  - name: Tables
    description: Manage your tables
  - name: Case Management
    description: Manage your cases
  - name: User Settings
    description: Manage user settings
  - name: Webhook
    description: Send to webhook
  - name: workspaces
    description: Manage your workspaces
  - name: User Info
    description: Get Information on current user
  - name: Portal
    description: Manage your portal apps
  - name: Groups
    description: Manage your Groups
  - name: Users
    description: Manage your users
paths:
  /workspace/{ws_id}/case_management/table/cases/{case_id}:
    put:
      tags:
        - Case Management
      summary: Update a Case
      description: Updates a case record.
      operationId: UpdateCase
      parameters:
        - name: ws_id
          in: path
          description: Workspace ID
          required: true
          schema:
            type: string
        - name: case_id
          in: path
          description: Case ID
          required: true
          schema:
            type: string
      requestBody:
        description: Case Data
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/api.CaseObject'
        required: true
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/api.CaseObject'
        '400':
          description: Failed to update record
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/api_responses.ErrorWrapper'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    api.CaseObject:
      type: object
      properties:
        case_manager:
          type: array
          example:
            - john.doe@blinkops.com
          items:
            type: string
        case_tags:
          type: array
          example:
            - Malware
            - Ransomware
            - Insider Threat
          items:
            type: string
            enum:
              - Malware
              - Ransomware
              - Insider Threat
              - VIP
              - Workstation
              - Server
              - Data Leak
              - Data Theft
              - Account Compromise
              - Adware
              - Crypto Miner
              - Fraud
        mitre_attack:
          type: array
          example:
            - Reconnaissance
            - Resource Development
          items:
            type: string
            enum:
              - Reconnaissance
              - Resource Development
              - Initial Access
              - Execution
              - Persistence
              - Privilege Escalation
              - Defense Evasion
              - Credential Access
              - Discovery
              - Lateral Movement
              - Collection
              - Command and Control
              - Exfiltration
              - Impact
        name:
          type: string
          example: New Case
        overview:
          type: string
          example: <p>1. New Malware detected</p>
        severity:
          type: integer
          example: 3
        sla:
          type: integer
          example: 259200000
        sla_expiry:
          type: integer
          example: 60000
        status:
          type: string
          example: OPEN
          enum:
            - OPEN
            - IN PROGRESS
            - CLOSED
        summary:
          type: string
          example: Summary of the case
        type:
          type: string
          example: Malware
          enum:
            - Malware
            - Ransomware
            - Adware
            - Spyware
            - Crypto Miner
            - Data Exfiltration
            - Insider Threat
            - Network Intrusion
            - DoS
            - DDoS
            - MITM
            - SQL Injection
            - Email Spoofing
            - DNS Spoofing
            - C2 Communications
            - Rogue Device
            - Brute Force
            - Phishing
            - Compromised Credentials
            - Account Takeover
            - Physical
            - Vulnerability
            - Reconnaissance
            - Domain Takeover
            - Lateral Movement
            - Network Exposure
            - Data Exposure
            - Credential Exposure
            - Suspicious User Activity
            - Suspicious Login
            - Suspicious Network Activity
            - Suspicious USB Device
            - Security Policy Violation
            - Security Compliance Violation
        vendors:
          type: array
          example:
            - CrowdStrike
          items:
            type: string
            enum:
              - CrowdStrike
              - Checkpoint
              - Delinea
              - Securonix
              - Falcon LogScale
              - Splunk
              - ArcSight
              - SolarWinds Service Desk
              - Datadog
              - SentinelOne
              - Microsoft Defender For Cloud
              - Microsoft Defender For Cloud Apps
              - Microsoft Defender For Endpoints
    api_responses.ErrorWrapper:
      type: object
      properties:
        data:
          type: object
        details:
          type: string
        identifier:
          type: string
        message:
          type: string
        status:
          type: integer
          example: 404
        user_error:
          type: object
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      description: >-
        Use your API key to access BlinkOps API. To generate an API key, please
        log in to your BlinkOps account and navigate to the API Keys section in
        the user settings page. Add the generated key to your request headers as
        BLINK-API-KEY.
      name: BLINK-API-KEY
      in: header

````